Subject: bug#56309: closed (Re: bug#56309: 29.0.50; emacsclient's --frame-parameters option ignored when -t)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 01 Jul 2022 00:06:02 +0000

Your bug report

#56309: 29.0.50; emacsclient's --frame-parameters option ignored when -t

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56309: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56309
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#56309: 29.0.50; emacsclient's --frame-parameters option ignored when -t
From: Sean Whitton <[email-masked]>
To: Lars Ingebrigtsen <[email-masked]>, Eli Zaretskii <[email-masked]>, [email-masked]
Date: Thu, 30 Jun 2022 17:05:46 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

On Thu 30 Jun 2022 at 12:11PM +02, Lars Ingebrigtsen wrote:

> Eli Zaretskii <[email-masked]> writes:
>
>> That rang a bell, so I looked in the Git history.  It turns out this
>> was already part of the patch proposed in bug#24147, which introduced
>> the PARAMETERS argument for server-create-tty-frame, but it was
>> somehow left out of the changes which were actually applied back then,
>> see commit 14fc8a1.
>
> Ah, I must have just missed a merge conflict or something when applying
> the patch.  I've pushed the parts that were missing to Emacs 29.
>
> Sean, can you check whether this fixes the problem here?

It does indeed, thank you both.

-- 
Sean Whitton

Subject: 29.0.50; emacsclient's --frame-parameters option ignored when -t
From: Sean Whitton <[email-masked]>
To: [email-masked]
Date: Wed, 29 Jun 2022 17:06:48 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When server-process-filter calls server-create-dumb-terminal-frame and
server-create-window-system-frame it passes along frame parameters
supplied on the emacsclient command line, but it doesn't pass these to
server-create-tty-frame.

I'd like to suggest:

diff --git a/lisp/server.el b/lisp/server.el
index 8f47a99a31..a06f2f952f 100644
--- a/lisp/server.el
+++ b/lisp/server.el
@@ -1314,7 +1314,8 @@ server-process-filter
 						       frame-parameters))
 		   ;; When resuming on a tty, tty-name is nil.
 		   (tty-name
-		    (server-create-tty-frame tty-name tty-type proc))
+		    (server-create-tty-frame tty-name tty-type proc
+                                             frame-parameters))
 
                    ;; If there won't be a current frame to use, fall
                    ;; back to trying to create a new one.

-- 
Sean Whitton